/*
 * Created on 03.10.2005
 */
package net.sourceforge.ganttproject;

public interface ProjectEventListener {
    void projectModified();
    void projectSaved();
    void projectClosed();
    void projectWillBeOpened();
    void projectOpened();
    
    class Stub implements ProjectEventListener {
        public void projectClosed() {
        }
        public void projectModified() {
        }
        public void projectSaved() {
        }
        public void projectWillBeOpened() {
        }
        public void projectOpened() {
        }
    }

}
